/label ~BUG

### How is it now?

(What actually happens)

### How should it be?

(What you should see instead)

### Steps to reproduce

(How one can reproduce the issue - this is very important)

1. Step 1
1. Step 2
1. Step 3

### Relevant logs and/or screenshots

(Paste any relevant logs - please use code blocks to format console output,
logs, and code as it's very hard to read otherwise.)

### Possible fixes

(If you can, link to the line of code that might be responsible for the problem)

If you can, give an estimation of the time needed to fix (in hours)
/estimate Xh

### How to fix a Bug

1. Ask any question you have in the issue comments before starting
1. Create a new branch named issue-${ISSUE_NUMBER}
1. Write a test that is failing to validate that this bug exists
1. If you can not recreate this bug, feel free to submit just a test with clear name and documentation linking to this issue
1. If a test fails indeed, continue to the next step
1. Now, when you have a regression test ready - create a fix for that bug
1. Write any additional tests if needed
1. Document in docstrings in general documentation what was wrong
1. Submit a merge request
